package info.aspirecn.cloud.yysj.filters.error;

import info.aspirecn.cloud.yysj.model.ResultResponse;
import org.apache.http.HttpStatus;
import org.springframework.boot.web.servlet.error.ErrorController;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author dingliqiang
 */
@RestController
public class ErrorHandlerController implements ErrorController {

    @Override
    public String getErrorPath() {
        return "/error";
    }

    @GetMapping("/error")
    public Object error(HttpServletRequest request, HttpServletResponse response) {
        ResultResponse resultResponse = new ResultResponse();
        Integer status = (Integer) request.getAttribute("javax.servlet.error.status_code");
        if (status == HttpStatus.SC_NOT_FOUND) {
            response.setStatus(HttpStatus.SC_NOT_FOUND);
            resultResponse.setMessage("输入的地址不存在");
            return resultResponse;
        }
        resultResponse.setMessage("系统繁忙");
        return resultResponse;
    }

}
