package info.aspirecn.cloud.yysj.utils;

import info.aspirecn.cloud.yysj.config.ConfigProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.AntPathMatcher;
import java.util.List;

/**
 * @author dingliqiang
 */
@Component
public class UrlUtil {

    @Autowired
    private ConfigProperties configProperties;

    /**
     * 路径匹配工具
     */
    private final AntPathMatcher antPathMatcher = new AntPathMatcher();

    public synchronized boolean isIngressUrl(String url) {
        // 路径匹配工具

        // 获取忽略列表
        List<String> ignoreUrlList = configProperties.getIgnoreUrl();
        for (String ignoreUrl : ignoreUrlList) {
            boolean isMatch = antPathMatcher.match(ignoreUrl, url);
            if (isMatch) {
                return true;
            }
        }
        return false;
    }

    public synchronized boolean isStateHandingUrl(String url) {
        // 获取忽略列表
        List<String> ignoreUrlList = configProperties.getStateHandlingUrl();
        for (String ignoreUrl : ignoreUrlList) {
            boolean isMatch = antPathMatcher.match(ignoreUrl, url);
            if (isMatch) {
                return true;
            }
        }
        return false;
    }

}
